osl::move_probability::SeeFeature Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::SeeFeature:

## Public Types

enum | { SeeClass = 23 , YClass = 3 , ProgressClass = 8 }

## Public Member Functions

| SeeFeature ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static int | seeIndex (int see)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 95 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
SeeClass |
YClass |
ProgressClass |

Definition at line 98 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## SeeFeature()

osl::move_probability::SeeFeature::SeeFeature | ( |  | ) |

inline

Definition at line 99 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), ProgressClass, and SeeClass.

## Member Function Documentation

## match()

double osl::move_probability::SeeFeature::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 116 of file move_probability/feature.h.

References osl::alt(), osl::Square::canPromote(), osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::move_probability::StateInfo::progress8(), osl::move_probability::MoveInfo::see, SeeClass, seeIndex(), osl::Move::to(), and YClass.

## seeIndex()

int osl::move_probability::SeeFeature::seeIndex | ( | int | see | ) |

inline static

Definition at line 102 of file move_probability/feature.h.

Referenced by match().

The documentation for this class was generated from the following file:

- move_probability/feature.h